@use "../abstract/" as abs;
// @use "../base" as b;

.slideshow{
    @include abs.gridItemPos(#{'2 / 3'}, #{'1  / -1'});
    width: 100%;
    height: 80vh;
    position: relative;

    @include abs.respond(xl){
        height: 70vh;
    }

    @include abs.respond(lg){
        height: 60vh;
    }

    @include abs.respond(md){
        height: 50vh;
    }

    &-slide{
        position: absolute;
        top: 0;
        left: 0;
        width: inherit;
        height: inherit;

        visibility: hidden;
        opacity: 0;
        animation: slideshow 20s linear infinite;

        & > img {
            width: inherit;
            height: inherit;
            object-fit: cover;
        }
    }

    &-content{
        background-color: rgba(abs.color(secondary), .9);
        position: absolute;
        bottom: 6rem;
        left: 6rem;
        right: 6rem;
        max-width: 40rem;
        padding: 5rem;
        border-radius: 5px;

        @include abs.respond(lg) {
            padding: 2rem;
        }

        & > h2{
            font-size: abs.font-size(xl) + 1.2rem;
            color: abs.color(primary);
        }

        & > p{
            margin: 1rem 0;
            font-size: abs.font-size(sm);
        }
    }
}

// Loops over the slides
@each $duration in abs.$animListDuration  {
    .slideshow-slide:nth-child(#{nth($duration, 1)}){
        animation-delay: nth($duration, 2);
    }
}